#
# spec file for package angelscript
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 2_31_2
Name:           angelscript
Version:        2.31.2
Release:        lp150.1.3
Summary:        Scripting library
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            http://www.angelcode.com/angelscript/
Source:         http://www.angelcode.com/angelscript/sdk/files/%{name}_%{version}.zip
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The AngelCode Scripting Library, or AngelScript as it is also known,
is a scripting library designed to allow applications to extend their
functionality through external scripts.

It supports Unix sockets and TCP/IP sockets with optional
SSL/TLS support.

%package -n lib%{name}%{sover}
Summary:        Scripting library
Group:          System/Libraries

%description -n lib%{name}%{sover}
The AngelCode Scripting Library, or AngelScript as it is also known,
is a scripting library designed to allow applications to extend their
functionality through external scripts.

It supports Unix sockets and TCP/IP sockets with optional
SSL/TLS support.

%package devel
Summary:        Development files for AngelScript
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{sover} = %{version}

%description devel
The AngelCode Scripting Library, or AngelScript as it is also known,
is a scripting library designed to allow applications to extend their
functionality through external scripts.

This subpackage contains libraries and header files for developing
applications that want to make use of the AngelScript library.

%prep
%setup -q -n sdk/%{name}/projects/gnuc

%build
export CXXFLAGS="%{optflags}"
make %{?_smp_mflags} shared

%install
make install_shared install_header install_docs PREFIX=%{_prefix} DESTDIR=%{buildroot} LIBDIR_DEST=%{_libdir} DOCDIR_BASEDIR=%{_defaultdocdir}/%{name}
%fdupes %{buildroot} %{_defaultdocdir}/%{name}

%post -n lib%{name}%{sover} -p /sbin/ldconfig
%postun -n lib%{name}%{sover} -p /sbin/ldconfig

%files
# manual also contains the license
%{_defaultdocdir}/%{name}

%files -n lib%{name}%{sover}
%defattr(-,root,root)
%{_libdir}/libangelscript.so.*

%files devel
%defattr(-,root,root)
%attr(0644,root,root) %{_includedir}/*.h
%{_libdir}/libangelscript.so

%changelog
* Sat Jul 15 2017 mailaender@opensuse.org
- Add documentation (including license)
* Tue Jun 13 2017 jengelh@inai.de
- Remove filler wording from description.
* Tue Feb 28 2017 rpm@fthiessen.de
- Update to new upstream release 2.31.2
  * Fixed big endian errors in the compiler related to enum values
  * CreateScriptObject crashed when called for template value types
  * Fixed crash when discarding modules containing shared funcdefs
  * Fixed big endian errors in the compiler related to implicit
    conversions of constants
  * Fixed bug with saved byte code not being portable between
    32bit and 64bit platforms when including ChkNullS instruction
  * Fixed assert failure in compiler when compiling
    invalid switch case
  * Fixed bug in compiler when passing a @& argument to a function
  * Fixed bug when compiling get property accessor returning
    a registered type that is then implicitly converted to another
  * Fixed assert failure when compiling boolean not operator
    on constant
  * Fixed incorrect compiler warning about too large value when
    assigning negative value to const int8/int16
  * Compiler emits warnings if 64bit integer constants cannot
    fit when implicitly converted to smaller types
  * Compiler didn't support implicitly converting constant uint64
    values to uint32 values
  * Fixed assert failure when compiling comparison operator on
    boolean constant
  * Fixed bug in bytecode serialization when adjusting pointer
    sizes for calls using asBC_ALLOC
  * Fixed problem with registering types using the
    asOBJ_IMPLICIT_HANDLE flag
  * Fixed assert failure on implicit conversion from 8/16 bit
    uint constant to integer
  * opCast(?&out) on null handle now works without raising
    null pointer exceptions
  * Corrected as_config.h so Linux for 64bit ARM doesn't try to
    compile as_callfunc_x64_gcc.cpp
  * Fixed crash on GCC 6 due to CastToObjectType
    accepting this == null
* Thu Aug 18 2016 rpm@fthiessen.de
- Update to new upstream release 2.31.1
* Sun Nov 23 2014 mailaender@opensuse.org
- Build version 2.29.2
- Use en.opensuse.org/SourceUrls
- Remove upstreamed makefile-flags.diff and angelscript-makefile.patch
* Sun Dec  9 2012 joop.boonen@opensuse.org
- Build version 2.25.2
* Thu Nov 15 2012 joop.boonen@opensuse.org
- Build version 2.25.1
* Wed Apr  4 2012 jengelh@medozas.de
- Avoid use of descending relative paths in %%files
- Add patch to allow using %%optflags and resolve the
  prior rpmlint message about the lack of it
* Sun Mar  4 2012 joop.boonen@opensuse.org
- added docs
- corrected the patch now it the soname and the devel file
  are symlinked to the version file
* Sun Mar  4 2012 joop.boonen@opensuse.org
- cleaned the spec file by means of spec-cleaner
* Sat Mar  3 2012 joop.boonen@opensuse.org
- corrected the license
- adapted the spec file to the openSUSE standard
* Fri Feb 24 2012 virus0025@gmail.com
- initial version
